# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaDescription

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.AbstractTextElement
              com.google.gdata.data.media.mediarss.MediaDescription

All Implemented Interfaces:
  Extension

    public class MediaDescription

extends AbstractTextElement

`<media:description>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaDescription()`

Method Summary

Methods inherited from class com.google.gdata.data.media.mediarss.AbstractTextElement
`consumeAttributes, getContent, getHandler, getPlainTextContent, isEmpty, putAttributes, setHtmlContent, setPlainTextContent`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaDescription

    public MediaDescription()